Dependencias de wine incumplidas

 [email protected]:~$ sudo apt install --install-recomienda winehq-stable
[sudo] contraseña para loszurdos: 
E: No tiene sentido la opción de línea de órdenes --install-recomienda combinada con las otras opciones
[email protected]:~$ sudo apt install --install-recomienda winehq-stable
E: No tiene sentido la opción de línea de órdenes --install-recomienda combinada con las otras opciones
[email protected]:~$ sudo apt install --install-recomienda winehq-stable
E: No tiene sentido la opción de línea de órdenes --install-recomienda combinada con las otras opciones
[email protected]:~$ sudo apt install winehq-stable
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios aún no se han creado o se
han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
 winehq-stable : Depende: wine-stable (= 5.0.0~bionic)
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
[email protected]:~$

hola como puedo descargar las dependencias de wine

NOTA: usaba la de 32 bits hice lo mismo le quite cosas al comando de instalador y me instalo sin problemas y me funcionaba bien ahora me pide dependencias.

Versión 18.04.3 LTS (Bionic Beave)

gracias por su tiempo

me he puesto a colocar comandos como:

sudo apt install wine-stable 

este me dice que depende de otros 2 uno de wine-stable-i386 y amd64 (este no instalara)
coloco:

sudo apt install wine-stable-i386
y me salen que este depende de muchos mas.

These instructions worked for me ...

  1. sudo dpkg --add-architecture i386
  2. wget -nc https://dl.winehq.org/wine-builds/winehq.key
  3. sudo apt-key add winehq.key
  4. sudo xed /etc/apt/sources.list
    deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
    deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/ ./
  5. sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys DFA175A75104960E
  6. sudo apt update
  7. sudo apt install --install-recommends winehq-stable
  8. winecfg
2 Likes

gracias, pero no me sirvio.

me sale esto

    [email protected]:~$ sudo xed /etc/apt/sources.list
sudo: xed: orden no encontrada
[email protected]:~$ deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main

Orden «deb» no encontrada. Quizá quiso decir:

  la orden «dub» del paquete snap «dub (1.18.0)»
  la orden «den» del paquete snap «den (1.2.0-0)»
  la orden «debc» del paquete deb «devscripts»
  la orden «debi» del paquete deb «devscripts»
  la orden «xdeb» del paquete deb «xdeb»
  la orden «dex» del paquete deb «dex»
  la orden «edb» del paquete deb «edb-debugger»
  la orden «dab» del paquete deb «bsdgames»
  la orden «dub» del paquete deb «dub»
  la orden «deb3» del paquete deb «quilt»
  la orden «derb» del paquete deb «icu-devtools»
  la orden «dep» del paquete deb «go-dep»

Consulte «snap info <nombre del snap>» para ver más versiones.

[email protected]:~$ deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/ xUbuntu_18.04 / ./

Orden «deb» no encontrada. Quizá quiso decir:

  la orden «den» del paquete snap «den (1.2.0-0)»
  la orden «dub» del paquete snap «dub (1.18.0)»
  la orden «debc» del paquete deb «devscripts»
  la orden «dex» del paquete deb «dex»
  la orden «edb» del paquete deb «edb-debugger»
  la orden «derb» del paquete deb «icu-devtools»
  la orden «dub» del paquete deb «dub»
  la orden «debi» del paquete deb «devscripts»
  la orden «xdeb» del paquete deb «xdeb»
  la orden «deb3» del paquete deb «quilt»
  la orden «dab» del paquete deb «bsdgames»
  la orden «dep» del paquete deb «go-dep»

Consulte «snap info <nombre del snap>» para ver más versiones.
1 Like

You do not have xed installed, you can use vi or nano to add those two lines in /etc/apt/sources.list

2 Likes

me lo puedes escribir es que aun no entiendo bien la cuestión de los comandados. por favor

1 Like

xed is an editor which you dont have.

Do you know how to use nano? if so ...
sudo nano /etc/apt/sources.list ... add those two lines at the end, then save, exit.

deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/ ./

then sudo apt update

1 Like

Here I can cite my own answer from AskUbuntu:

Analysis

The WineHQ repository misses the dependencies for wine-stable package.
I have reported a bug 48513 to WineHQ bugzilla.

The main problem here is bad documentation, which is written in non-reproducible way.

The problem with dependencies was caused by the FAudio dependency, which is not contained in Debian/Ubuntu and WineHQ repositories. We can determine the exact package name by using command below and analyzing of their output:

$ sudo apt-get install wine-stable-amd64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine-stable-amd64 : Depends: libfaudio0 but it is not installable
                     Recommends: libcapi20-3 but it is not going to be installed
                     Recommends: libodbc1 but it is not going to be installed
                     Recommends: libosmesa6 but it is not going to be installed
                     Recommends: libsdl2-2.0-0 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

The aforementioned libfaudio0 package is available only for Ubuntu 19.10 and upcoming 20.04 LTS.


Solution

We need to follow official WineHQ guide for Ubuntu partially:

sudo dpkg --add-architecture i386
sudo apt update

Note: if you have WineHQ repository added - remove it with

sudo apt-add-repository -r 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main' 

to prevent the mess of repositories and then proceed.

Then we need to add other repository from OpenSuse Build Service to get libfaudio0 installed:

wget -nv https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/Release.key -O Release.key
sudo apt-key add - < Release.key
sudo apt-add-repository 'deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/ ./'
sudo apt-get update

and only after this install one of WineHQ packages:

# Stable branch 	
sudo apt install --install-recommends winehq-stable

#Development branch 	
#sudo apt install --install-recommends winehq-devel

#Staging branch 	
#sudo apt install --install-recommends winehq-staging

as it looks very similar to the OP problem.

5 Likes

gracias a todos por su tiempo , ya lo he solucionado

3 Likes

Gracias me ayudo mucho

Hey tengo el mismo problema y no doy como resolverlo, ¿lo de aquí te funciono?

si, amigo me funciono bien ...perdona